Public Class 供應商管理銀行修改審核
    Private Sub Set_清單()
        Dim ds As New DataSet : 廠商清單_dgv.DataSource = Nothing : ds.Clear()
        廠商清單_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        廠商清單_dgv.ColumnHeadersHeight = 25 : 廠商清單_dgv.AllowUserToAddRows = False : 廠商清單_dgv.RowTemplate.Height = 35
        SQL_供應商資料主管審核_清單()
        da.Fill(ds) : 廠商清單_dgv.DataSource = ds.Tables(0)

        廠商清單_dgv.Columns(2).Visible = False : 廠商清單_dgv.Columns(3).Visible = False : 廠商清單_dgv.Columns(4).Visible = False : 廠商清單_dgv.Columns(5).Visible = False
        廠商清單_dgv.Columns(6).Visible = False : 廠商清單_dgv.Columns(7).Visible = False : 廠商清單_dgv.Columns(8).Visible = False : 廠商清單_dgv.Columns(9).Visible = False
        廠商清單_dgv.Columns(10).Visible = False
        廠商清單_dgv.Columns(0).Visible = False : 廠商清單_dgv.Columns(1).FillWeight = 270
        廠商清單_dgv.Columns(0).ReadOnly = True : 廠商清單_dgv.Columns(1).ReadOnly = True
    End Sub
    Private Sub 供應商管理銀行修改審核_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        ToolTip1.ToolTipTitle = "系統說明"
    End Sub
    Private Sub 供應商管理銀行修改審核_Shown(sender As Object, e As EventArgs) Handles MyBase.Shown
        SQL_主管名稱(2, 23) : If dr.Read Then : 出納人員 = dr("姓名").ToString : End If
        SQL_主管名稱(2, 25) : If dr.Read Then : 採購主管 = dr("姓名").ToString : End If
        Set_清單()
    End Sub
    Private Sub 廠商清單_dgv_CellClick(sender As Object, e As DataGridViewCellEventArgs) Handles 廠商清單_dgv.CellClick
        If e.RowIndex = -1 Then : Else
            供應商編號_tb.Text = 廠商清單_dgv(0, e.RowIndex).Value.ToString : 供應商名稱_tb.Text = 廠商清單_dgv(1, e.RowIndex).Value.ToString
            支付對象_tb.Text = 廠商清單_dgv(2, e.RowIndex).Value.ToString : 銀行名稱_tb.Text = 廠商清單_dgv(3, e.RowIndex).Value.ToString
            銀行帳號_tb.Text = 廠商清單_dgv(4, e.RowIndex).Value.ToString : 銀行支行_tb.Text = 廠商清單_dgv(5, e.RowIndex).Value.ToString
            新支付對象_tb.Text = 廠商清單_dgv(6, e.RowIndex).Value.ToString : 新銀行名稱_tb.Text = 廠商清單_dgv(7, e.RowIndex).Value.ToString
            新銀行帳號_tb.Text = 廠商清單_dgv(8, e.RowIndex).Value.ToString : 新銀行支行_tb.Text = 廠商清單_dgv(9, e.RowIndex).Value.ToString
            If 支付對象_tb.Text <> 新支付對象_tb.Text Then : 新支付對象_tb.ForeColor = Color.Red : Else 新支付對象_tb.ForeColor = Color.Black : End If
            If 銀行名稱_tb.Text <> 新銀行名稱_tb.Text Then : 新銀行名稱_tb.ForeColor = Color.Red : Else 新銀行名稱_tb.ForeColor = Color.Black : End If
            If 銀行帳號_tb.Text <> 新銀行帳號_tb.Text Then : 新銀行帳號_tb.ForeColor = Color.Red : Else 新銀行帳號_tb.ForeColor = Color.Black : End If
            If 銀行支行_tb.Text <> 新銀行支行_tb.Text Then : 新銀行支行_tb.ForeColor = Color.Red : Else 新銀行支行_tb.ForeColor = Color.Black : End If
        End If
    End Sub
    Private Sub 確認_bt_Click(sender As Object, e As EventArgs) Handles 確認_bt.Click
        SQL_供應商資料主管審核_修改(供應商編號_tb.Text, 新支付對象_tb.Text, 新銀行名稱_tb.Text, 新銀行帳號_tb.Text, 新銀行支行_tb.Text)
        MsgBox("審核完成!")
        LIN訊息通知("CC212", "FH-系統通知(通用)", "已通過 " & 供應商名稱_tb.Text)
        Set_清單() : 供應商編號_tb.Text = "" : 供應商名稱_tb.Text = "" : 支付對象_tb.Text = "" : 銀行名稱_tb.Text = ""
        銀行帳號_tb.Text = "" : 銀行支行_tb.Text = "" : 新支付對象_tb.Text = "" : 新銀行名稱_tb.Text = "" : 新銀行帳號_tb.Text = ""
        新銀行支行_tb.Text = ""
    End Sub
    Private Sub 取消_bt_Click(sender As Object, e As EventArgs) Handles 取消_bt.Click
        SQL_供應商資料主管審核_否決(供應商編號_tb.Text)
        MsgBox("審核完成!")
        LIN訊息通知("CC212", "FH-系統通知(通用)", "已取消 " & 供應商名稱_tb.Text)
        Set_清單() : 供應商編號_tb.Text = "" : 供應商名稱_tb.Text = "" : 支付對象_tb.Text = "" : 銀行名稱_tb.Text = ""
        銀行帳號_tb.Text = "" : 銀行支行_tb.Text = "" : 新支付對象_tb.Text = "" : 新銀行名稱_tb.Text = "" : 新銀行帳號_tb.Text = "" : 新銀行支行_tb.Text = ""
    End Sub
End Class